### Blinkinlove Materix

_Blinkinlove_ (_אהיבהוב_) is a line of technoromantic jewlery by [zzzen](https://zzzen.com): these accessories come in pairs, and each can blink in a heartbeat rhythm in order to indicate that it can sense that its mate is nearby. The closer the mate is, the faster the blinking. It looks for its mate by performing a wifi or bluetooth scan (depending on the model).

The _Materix_ model is built on an [Adafruit Feather HUZZAH](https://www.adafruit.com/product/2821) board (with wifi capabilities) with a 4x8 [Neopixel Matrix Featherwing](https://www.adafruit.com/product/2945). For blinking, it uses a heart-shaped Neopixel animation.

![Blinkinlove Materix when close to mate](blinkinlove-materix.gif)

Whenever it perfoms a scan, there's an indication on the right hand side. When the mate is nearby, this indication is limited to a single pixel, but when the mate can't be found, this becomes a more elaborate "where art thou" animation.

The colors and animations are personalized for each mate, to express that they're connected, but not identical.

![Blinkinlove Materix desperately seeking mate](blinkinlove-materix-alone.gif)

### Activation button
![Activation button](activation-button.jpg)

There's a button that activates/deactivates scan and display functionality (the device always maintains a WiFi access point so that it can be detected by its mate). This saves battery, and also gives the wearer the ability not to be flashing and blinking (handy in many situations).

After a reset (e.g. when you start charging an empty battery), the materix enters the inactive state (after a vanity scroll of the text "zzzen"), and you'll need to press the button in order to activate it.



